summaryrefslogtreecommitdiffstats
path: root/package/watchdog/files/watchdog.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/watchdog/files/watchdog.init')
-rw-r--r--package/watchdog/files/watchdog.init18
1 files changed, 18 insertions, 0 deletions
diff --git a/package/watchdog/files/watchdog.init b/package/watchdog/files/watchdog.init
new file mode 100644
index 000000000..8a45df92d
--- /dev/null
+++ b/package/watchdog/files/watchdog.init
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+RUN_D=/var/run
+PID_F=$RUN_D/watchdog.pid
+
+case $1 in
+ start)
+ /usr/sbin/watchdog
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?